features:
  primary:
  - name: "Support the `$` character in CI/CD variables"
    available_in: [core, premium, ultimate]  # Include all supported tiers
    documentation_link: 'https://docs.gitlab.com/ee/ci/variables/#expand-cicd-variables'
    image_url: '/images/unreleased/raw.png'
    reporter: dhershkovitch
    stage: verify 
    categories:
    - 'Pipeline Authoring'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/17069'
    description: |
      Previously, using the `$` character in a CI/CD variable always indicated the start of a reference another variable, which GitLab then tried to expand. As a result, you could not have a value with a `$` as part of the string unless it was [escaped](https://docs.gitlab.com/ee/ci/variables/#use-the--character-in-variables), which can be confusing.

      In this release, we are introducing a new setting for project, group, and instance CI/CD variables. You can now toggle whether or not GitLab interprets the CI/CD variable as a raw string, or treats a `$` as the start of another variable that should be expanded.
